> For the complete documentation index, see [llms.txt](https://docs.cs-cart.jp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cs-cart.jp/addon-development/add-on-scheme/addon-dependencies.md).

# 他のアドオンとの競合・依存設定

## 他のアドオンとの依存関係

アドオンのインストールの際に他のアドオンが必要かどうかを確認するためのチェックが実行されます。addon.xmlでこれらのアドオンを指定します。

```xml
<compatibility>
    <dependencies>discussion,form_builder</dependencies>
</compatibility>
```

上記の例は「コメントとレビューアドオン」と「フォームビルダーアドオン」がこのアドオンの依存関係にあることを設定しています。

必要なアドオンのいずれかがインストールされていない場合、次のメッセージが表示されます。

{% hint style="warning" %}
警告

「コメントとレビューアドオン」「フォームビルダーアドオン」のインストールが必要です。アドオンをインストールできません。コメントとレビューアドオン、フォームビルダーアドオンを先にインストールしてください。
{% endhint %}

## 他のアドオンとの競合関係

アドオンをインストールして有効化する際に、このアドオンが他のアドオンと競合していないかどうかを確認するためのチェックが実行されます。競合するアドオンがすでに有効になっている場合でも、アドオンをインストールすることはできますが、無効のままになります。\
addon.xmlで競合するアドオンを指定する方法を見てみましょう。

```xml
<compatibility>
    <conflicts>catalog_mode,reward_points</conflicts>
</compatibility>
```

競合するアドオンのいずれかがアクティブなときにこのアドオンを有効にしようとすると、次のメッセージが表示されます。

{% hint style="warning" %}
警告

「サンプル」アドオンは、次のアドオンと互換性がありません：「カタログモード」「特典ポイント」。 これらのアドオンを無効にするまで本アドオンは有効にすることはできません。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cs-cart.jp/addon-development/add-on-scheme/addon-dependencies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
